# cdiocddasrc

Read audio from CD using libcdio

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstPushSrc
                            ╰──GstAudioCdSrc
                                ╰──cdiocddasrc

## Implemented interfaces

    GstURIHandler

## Factory details

Authors: – Tim-Philipp Müller <tim centricular net></tim>

Classification: – `Source/File`

Rank – secondary - 1

Plugin – cdio

Package – GStreamer Ugly Plug-ins

## Pad Templates

### `src`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: 44100
           channels: 2

Presence – always

Direction – src

Object type – GstPad

## Properties

### read-speed

    “read-speed” gint

Read from device at the specified speed (-1 = default)

Flags : Read / Write

Default value : -1

The results of the search are